Skip to main content

Tag Memories

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTqdrant.qdrant-tag-memories

Append or replace labels for a set of points.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-tag-memories-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-tag-memories",
"arguments": {
"point_ids": [],
"labels": [],
"collection_name": "collection_name_example",
"replace": false
}
}
}

Arguments Schema

{
"properties": {
"point_ids": {
"items": {
"type": "string"
},
"type": "array"
},
"labels": {
"items": {
"type": "string"
},
"type": "array"
},
"collection_name": {
"type": "string"
},
"replace": {
"type": "boolean"
}
},
"required": [
"point_ids",
"labels",
"collection_name"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-tag-memories-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-tag-memories",
"arguments": {
"point_ids": [],
"labels": [],
"collection_name": "collection_name_example",
"replace": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool qdrant.qdrant-tag-memories executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}